<?php
/**
 * The Template for displaying post content.
 * Content only (without comments).
 *
 * @author        Jalal Albaadani <albaadani.com>
 * @package       AlbaYallaShoot/Templates
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$post_id = get_the_ID(  );
$AlbaCardIdField = get_post_meta( $post_id, 'AlbaCardIdField', true ) ;
if( ! empty( $AlbaCardIdField ) ): 
    echo do_shortcode('[YallaMatchCard id="'.$AlbaCardIdField.'"]');
endif;
?>
<article class="AY_Block" id="the-post">
    <header class="EntryHeader">
        <?php the_title( '<h1 class="EntryTitle">', '</h1>' ); ?>
        <div class="EntryMeta fx-wrap gap-10"><?php if(yalla_get_option('onf_author') && get_the_author() ):?><span class="author fx-cen gap-5"><svg class="icon" width="10" height="10"><use xlink:href="#i-user"></use></svg><?php echo get_the_author(); ?></span> <?php endif;?><?php if(yalla_get_option('onf_author')):$categories = get_the_category($post_id);if ( ! empty( $categories ) ) {echo '<span class="label">'.__("Category" , 'yalla').' : <a href="' . esc_url( get_category_link( $categories[0]->term_id ) ) . '">' . esc_html( $categories[0]->name ) . '</a></span>';}endif;?><?php if(yalla_get_option('onf_date')):?><span class="published fx-cen gap-5"><svg class="icon" width="12" height="12"><use xlink:href="#i-time"></use></svg><a href="<?php the_permalink() ?>" title="<?php echo __("Date" , 'yalla');?>"><?php the_time('j F Y') ?></a></span><?php endif;?></div>
    </header>

    <?php 
    
    if( get_the_post_thumbnail_url() && is_singular('post') && yalla_get_option('onf_thm') ) :
        
        $meta = array();
        $meta['alt'] = get_the_title();
        $meta['data-no-lazy'] = 'true';
        $meta['load-lazy'] = 'true';
        yalla_get_ads('thumb_start');
        ?>
        <div class="fut-img">
            <?php the_post_thumbnail('single-thumb', $meta); ?>
        </div>
        <?php 
    endif;
    
    ?>
    <div class="entry-content entry">
        <?php

        if(yalla_get_option('serv_pos') == '2' && is_singular( 'channels') ){
            echo  do_shortcode("[AlbaSport_serv_conetnt]");
        }
        
        the_content();

        if(yalla_get_option('serv_pos') != '2' && is_singular( 'channels') ){
            echo do_shortcode("[AlbaSport_serv_conetnt]");
        }
        ?>
    </div>
    <div class="post-footer">
        <?php 
    
        if( yalla_get_option('onf_tags') ) {
            the_tags( '<ul class="post-tags fx-wrap gap-10"><li>', '</li><li>', '</li></ul>' ); 
        }
        if( yalla_get_option('onfbp_share') ) {
            Alba_Yalla_Shoot()->load_partial(['post_id' => $post_id ], 'post/post-share' );
        }
        ?>
    </div>
</article>
<?php 
if( yalla_get_option('show-related') ) {
    Alba_Yalla_Shoot()->load_partial(['post_id' => $post_id ], 'post/post-related' );
}