<?php
/**
 * The Template for displaying Matches Loops.
 *
 *
 * @var object $data - Object with args.
 *
 * @author        Jalal Albaadani <albaadani.com>
 * @package       AlbaYallaShoot/Templates
 *
 * @version       0.0.1
 */

 if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$data  = (object) wp_parse_args(
    $data,[
        'match_id'          => '',
        'kickoff'           => '',
        'match_time'    	=> '',
        'home_name'         => '',
        'away_name'         => '',
        'home_logo'         => '',
        'away_logo'         => '',
        'home_goals'        => '',
        'away_goals'        => '',
        'home_penalty'  	=> '',
        'away_penalty'  	=> '',
        'status_meta'       => '',
        'status_class'      => '',
        'status_id'         => '',
        'status_title'      => '',
        'link'          	=> '',
        'link_title'    	=> '',
        'competition'      	=> '',
        'commentator'      	=> '',
        'channel_name'      => '',
        'ended_text'      	=> '',
    
    ]
);
$is_javascript  = yalla_get_option('statustype') == 'javascript' ? true : false;
$is_by_java     = ( $is_javascript && $data->status_meta == 'not_ended' ) ?  true : false;
$match_class    = $is_by_java ? 'MT_Loading AY_WithJS' : $data->status_class;
$status_title   = $is_by_java ?  '<span class="ay-flashing"></span>' : $data->status_title;
$match_time     = $is_by_java ?  '' : $data->match_time;
$op_tmz         = Alba_Yalla_Shoot()->helper->get_selected_timzone();
$date           = date_create($data->kickoff, timezone_open($op_tmz));
$kickoff        = date_format($date, 'Y-m-d H:iP');
$match_attr     = $is_by_java ?  ' id="m-'.$data->match_id.'" data-start="'.$kickoff.'"' : '';

if ($data->ended_text && $data->status_class == 'finished' ) {
    $data->link_title   = $data->ended_text; 
    $match_class        = 'gools';
    $status_title       =  $data->ended_text; 
}
if(function_exists( 'is_amp_endpoint' ) && is_amp_endpoint()){
    $match_class            =  $data->status_class;
    $status_title           =   $data->status_title;
}

?>
<div class="AY_Match <?php echo $match_class;?>"<?php echo $match_attr;?>>
    <div class="AY_Inner">
        <div class='MT_Team TM1'>
            <div class="TM_Logo"><img alt="<?php echo $data->home_name;?>" data-src="<?php echo apply_filters('jetpack_photon_url', $data->home_logo);?>" width="70" height="70" class='hqy-lazy' src='data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==' loading='lazy'/></div>
            <div class="TM_Name"><?php echo $data->home_name;?></div>
        </div>
        <div class="MT_Data">
            <span class='MT_Time'><?php echo $match_time;?></span>
            <span class="MT_Result"><span class="RS-goals"><?php echo $data->home_goals;?></span><span>-</span><span class="RS-goals"><?php echo $data->away_goals;?></span></span>
            <div class='MT_Stat'><?php echo $status_title;?></div>
            <?php if( yalla_get_option('matches_table_style') == '2' ) : ?>
                <div class="TourName"><?php echo$data->competition;?></div>
            <?php endif;?>
        </div>
        <div class="MT_Team TM2">
            <div class="TM_Logo"><img alt="<?php echo $data->away_name;?>" data-src="<?php echo apply_filters('jetpack_photon_url', $data->away_logo);?>" width="70" height="70" class='hqy-lazy' src='data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==' loading='lazy'/></div>
            <div class="TM_Name"><?php echo $data->away_name;?></div>
        </div>
    </div>
    <?php if( yalla_get_option('matches_table_style') != '2' ) : ?>
    <div class="MT_Info"><ul><li><span><?php echo $data->channel_name;?></span></li><li><span><?php echo $data->commentator;?></span></li><li><span><?php echo $data->competition;?></span></li></ul></div>
    <?php endif;?>
    <?php if(!empty($data->link)):?><a <?php echo $data->link;?> ><div class='MT_Mask'><div class='MT_MaskText'></div></div></a><?php endif;?>
</div>