<?php
/**
 * The Template for displaying Match card simple.
 *
 *
 * @var object $data - Object with args.
 *
 * @author        Jalal Albaadani <albaadani.com>
 * @package       AlbaYallaShoot/Templates
 *
 * @version       0.0.1
 */

 if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$data  = (object) wp_parse_args(
    $data,[
        'match_id'          => '',
        'kickoff'           => '',
        'match_time'    	=> '',
        'home_name'         => '',
        'away_name'         => '',
        'home_logo'         => '',
        'away_logo'         => '',
        'home_goals'        => '',
        'away_goals'        => '',
        'home_penalty'  	=> '',
        'away_penalty'  	=> '',
        'status_meta'       => '',
        'status_id'         => '',
        'competition'      	=> '',
        'commentator'      	=> '',
        'channel_name'      => '',
    ]
);


/**
 * Hook: albayalla/tmpl-match/before_match_card
 *
 */
do_action( 'albayalla/tmpl-match/before_match_card');
?>
<div class="MtCard">
	<div class="backMatch">
		<div class="McInner fx-cen">
			<div class="McTeam">
				<div class="TmFlag hqy-lazy" data-src="<?php echo esc_url( $data->home_logo ); ?>"></div>
				<div class="TmNeam">
					<?php echo esc_html( $data->home_name ); ?>
				</div>
			</div>
			<div class="McTeam ce">
				<div class="matchvs">VS</div>
			</div>
			<div class="McTeam">
				<div class="TmFlag hqy-lazy" data-src="<?php echo esc_url( $data->away_logo ); ?>"></div>
				<div class="TmNeam">
					<?php echo esc_html( $data->away_name ); ?> 
				</div>
			</div>
		</div>
   </div>
   <?php do_action( 'albayalla/match/match-header-bottom', $data->match_id, $data );?>
</div>
<?php yalla_get_ads('after_match_card');?>
<?php 
/**
 * Hook: albayalla/tmpl-match/after_match_card
 *
 */
do_action( 'albayalla/tmpl-match/after_match_card');