<?php
/**
 * The Template for displaying Match >> info Section.
 *
 *
 * @var object $data - Object with args.
 *
 * @author        Jalal Albaadani <albaadani.com>
 * @package       AlbaYallaShoot/Templates
 * @since         0.0.1
 *
 * @version       0.14.14
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$data  = (object) wp_parse_args(
   $data,[
       'match_id'          => '',
       'kickoff'           => '',
       'match_time'    	   => '',
       'match_date'    	   => '',
       'home_name'         => '',
       'away_name'         => '',
       'home_logo'         => '',
       'away_logo'         => '',
       'home_goals'        => '',
       'away_goals'        => '',
       'home_penalty'  	   => '',
       'away_penalty'  	   => '',
       'status_meta'       => '',
       'status_id'         => '',
       'competition'      	=> '',
       'commentator'      	=> '',
       'channel_name'      => '',
   
   ]
);

$penalty_resu = $data->status_meta == 'ended_penalty' ? ' <span style="color: #eb5a3e;"><span class="name">'. esc_html__( 'Penalties','yalla').'</span><span><span class="score">'.$data->home_penalty.'</span> - <span class="score">'.$data->away_penalty.'</span></span></span>' : '';
$match_info   = array(
   [
      'icon'   => '🏆',
      'label'  => esc_html__("Competition"	 ,'yalla'),
      'value'  => $data->competition
   ],
   [
      'icon'   => '📺',
      'label'  => esc_html__("Channel Name"	 ,'yalla'),
      'value'  => $data->channel_name
   ],

   [
      'icon'   => '⏰',
      'label'  => esc_html__("Matche Date"	 ,'yalla'),
      'value'  => $data->match_date
   ],
   [
      'icon'   => '⌚',
      'label'  => esc_html__("Match Time"	   ,'yalla'),
      'value'  => $data->match_time.' '.sprintf( __( '%s Time', 'yalla' ), Alba_Yalla_Shoot()->helper->get_timzone_name() )
   ],
   [
      'icon'   => '🎤',
      'label'  => esc_html__("Commentator"	 ,'yalla'),
      'value'  => $data->commentator
   ],
   [
      'icon'   => '⚽',
      'label'  => esc_html__("Matche Result"	 ,'yalla'),
      'value'  => $data->home_name.' '.$data->home_goals.' - '.$data->away_goals.' '.$data->away_name . $penalty_resu
   ],

);



echo '<div class="AY-MatchInfo">';

   /**
    * Hook: albayalla/tmpl-match/before_match_info
   */
  
   do_action( 'albayalla/tmpl-match/before_match_info');

      echo '<h2>'.esc_html__( "Matche Card",'yalla').' '.$data->home_name.' Vs '.$data->away_name.'</h2>';
      yalla_get_ads('before_match_info');
      echo '<table class="table table-bordered"><tbody>';

         foreach ($match_info as $info) {

            if( empty( $info['value'] ) ){
               continue ;
            }
            echo '<tr>';

               echo '<th>'.$info['label'].'</th> ';

               echo '<td>'.$info['value'].'</td> ';

            echo '</tr>';
         }
         
      echo '</tbody></table>';
      /**
    * Hook: albayalla/tmpl-match/after_match_info
   */
  do_action( 'albayalla/tmpl-match/after_match_info');

echo '</div>';
yalla_get_ads('after_match_info');
