<?php
/**
 * The Template for displaying Match >> Servers Section.
 *
 *
 * @var $data - with args.
 *
 * @author        Jalal Albaadani <albaadani.com>
 * @package       AlbaYallaShoot/Templates
 * @since         0.0.1
 *
 * @version       0.14.14
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$data = wp_parse_args(
	$data,
	[
		'match_id'       		=> '',
		'servers'       		=> [],
	]
);
if(empty($data['servers']) || empty($data['match_id']) || !yalla_get_option('event_servers')){
   return;
}
?>
<?php yalla_get_ads('before_match_servers');?>
<div class="video-b">
   <?php 
      /**
       * Hook: albayalla/tmpl-match/before_match_server
      */
      do_action( 'albayalla/tmpl-match/before_match_server');
   ?>
   <div class="video-serv">
      <?php 
         $num = 0;
         foreach ($data['servers'] as $server) {
            $serv_link  = isset( $server['tab-link'] ) ? $server['tab-link'] : '';
            $serv_name  = isset( $server['tab-name'] ) ? $server['tab-name'] : '';
            ?>
            <span onclick="YallaGetServer('<?php echo $data['match_id'];?>','<?php echo $num;?>')">
               <?php echo $serv_name;?>
            </span>
            <?php 
            $num++;
         }
      ?>
   </div>
   <div class="server-body" id="yalla-ajax-server">
      <?php
      $first_serv = isset( $data['servers'][0] ) ? $data['servers'][0] : [] ;
      $first_type = isset( $first_serv['tab-type'] ) ? $first_serv['tab-type'] : 'url';
      $first_link = isset( $first_serv['tab-link'] ) ? $first_serv['tab-link'] : '';
      ?>
      <?php if( $first_type == 'code' ): ?>
         <?php echo $first_link;?>
      <?php else: ?>
         <iframe allowfullscreen="" class="video-iframe hqy-lazy" mozallowfullscreen="" name="search_iframe" scrolling="no" data-src="<?php echo $first_link;?>" webkitallowfullscreen="" width="100%" height="500" frameborder="0"  loading="lazy"></iframe>
      <?php endif;?>
   </div>
   <?php 
      /**
       * Hook: albayalla/tmpl-match/after_match_server
      *
      */
      do_action( 'albayalla/tmpl-match/after_match_server');
   ?>
</div>
<?php yalla_get_ads('after_match_servers');?>

