<?php
/**
 * The Template for displaying Related Posts.
 *
 *
 * @var object $data - Object with widget data.
 *
 * @author        Jalal Albaadani <albaadani.com>
 * @package       AlbaYallaShoot/Templates
 * @since         0.4.3
 *
 * @version       0.15.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$data = (object) wp_parse_args(
	$data,
	[
        'post_id' 			=> '',
	]
);
if( empty( $data->post_id ) ){
    return;
}

$related_type    = yalla_get_option('related-type');
$order_by        = yalla_get_option('related-orderby') != '' ? yalla_get_option('related-orderby') : 'date';
$showposts       = yalla_get_option('relatedstrt') ? yalla_get_option('relatedstrt') : '4';


if($related_type == 'tag'){
    $terms = wp_get_post_tags($data->post_id);
    $term_array = []; 
    foreach( $terms as $term ) {
        $term_array[] = $term->slug;
    }
    $args = array(
        'post_status'       => 'publish',
        'tag' 				=> implode(",", $term_array),
        'post__not_in'      => array($data->post_id), 
        'showposts'			=> $showposts,
        'orderby'           => $order_by,
        'order'             => 'DESC',
    );
}else {
    $cat_ids = array();
    $categories = get_the_category( $data->post_id );
    if(!empty($categories) && !is_wp_error($categories)):
        foreach ($categories as $category):
            array_push($cat_ids, $category->term_id);
        endforeach;
    endif;
    $args = array(
        'category__in'      => $cat_ids,
        'post__not_in'      => array($data->post_id), 
        'post_status'       => 'publish',
        'showposts'			=> yalla_get_option('relatedstrt'),
        'orderby'           => $order_by,
        'order'             => 'DESC',
    );
}
$related = new WP_Query($args);
if ($related->have_posts()) :?>
    <div class="AY_Block">
        <div class="AYb_Head"><h2 class="aya-btn"><strong><?php echo __('Related Posts' ,'yalla');?></strong></h2></div>
        <div class="AYb_Inner">
            <div class="AYaGrid">
                <?php 
                    while ($related->have_posts()): $related->the_post(); 
                    Alba_Yalla_Shoot()->load_partial(
                        [
                            'style' => '1',
                        ],
                        'loops/loop-post'
                    );
                    endwhile; 
                ?>  
            </div>          
        </div>
    </div>
<?php endif;