<?php
/**
 * The Template for displaying post Share.
 *
 *
 * @var object $data - Object with widget data.
 *
 * @author        Jalal Albaadani <albaadani.com>
 * @package       AlbaYallaShoot/Templates
 * @since         0.4.3
 *
 * @version       0.15.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$data = (object) wp_parse_args(
	$data,
	[
        'post_id' 			=> '',
	]
);
if( empty( $data->post_id ) ){
    return;
}
$url    = wp_get_shortlink($data->post_id);
$url    = esc_url($url);
$title  = str_replace( ' ', '%20', get_the_title());
$share_buttons = array(
	
	'facebook' => array(
		'url'  => 'https://www.facebook.com/sharer.php?u='.$url,
		'text' => esc_html__('Facebook'),
	),
	'twitter' => array(
		'url'   => 'https://twitter.com/intent/tweet?text='.$title.'&amp;url='.$url,
		'text'  => esc_html__('Twitter'),
	),
	'whatsapp' => array(
		'url'   => 'https://api.whatsapp.com/send?text='.$title.'%20'.$url,
		'text'  => esc_html__('Whatsapp'),
	),
	'telegram' => array(
		'url'   => 'https://telegram.me/share/url?url='.$url.'&text='.$title,
		'text'  => esc_html__( 'Telegram'),
	),
	
);
?>
<div class="post-share"><ul class="share-links d-fx gap-10"><?php 
	foreach ( $share_buttons as $network => $button ){
		echo '<li><a class="aya-btn '.$network.'" target="_blank" href="'.$button['url'].'"  rel="external noopener nofollow" title="Share to '. $button['text'] .'">'. $button['text'] .'</a></li>';
	}?></ul>
</div>