<?php
/**
 *
 * @var object $data - Object with widget data.
 *
 * @author        Jalal Albaadani <albaadani.com>
 * @package       AlbaYallaShoot/Templates
 * @since         0.4.3
 *
 * @version       0.15.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$data = (object) wp_parse_args(
	$data,
	[
        'title' 			=> __('latest news','yalla'),
        'title_url' 		=> '',
        'Hidon' 			=> '',
        'style' 			=> '1',
	]
);
if ( wp_is_mobile() ){
    if ( $data->Hidon == 'mobile'){
        return;
    }
}else{
    if ( $data->Hidon == 'comp'){
        return;
    }
}

$args = [];
$args[ 'paged' ]            = (get_query_var('paged')) ? get_query_var('paged') : 1;
$args[ 'post_status' ]      = 'publish';
$args[ 'posts_per_page' ]   = '8';

// it is always better to use WP_Query but not here
query_posts( $args );

$row_class = 'AYaGrid' ;
?>
<div class="AY_Block PS_<?php echo $data->style;?>">
    <?php if( $data->title ):?>
        <div class="AYb_Head">
            <h2 class="aya-btn"><strong><?php echo $data->title;?></strong></h2>
            <?php if(!empty( $data->title_url ) ):?>
            <a href="<?php echo $data->title_url;?>" class="WTa aya-btn">›</a>
            <?php endif;?>
        </div>
    <?php endif;?>
    <div class="AYb_Inner">
        <div id="AlbaPosts">
            <div class="AlbaGridPosts Nfeed AYaGrid" data-page="<?php next_posts($GLOBALS['wp_query']->max_num_pages);?>">
                <?php 
                if (have_posts() ) :
                    while (have_posts() ): the_post();
                        Alba_Yalla_Shoot()->load_partial(
                            [
                                'style' => $data->style,
                                'count' => '',
                            ],
                            'loops/loop-post'
                        );
                    endwhile;
                endif;
                ?>
            </div>
        </div>
    </div>
    <?php 
    yalla_pagination();
    wp_reset_postdata();  
    wp_reset_query(); // sets the main query (global $wp_query) to the original page query (it obtains it from global $wp_the_query variable) and resets the post data                  
    ?>
</div>