<?php
/**
 * The Template for displaying Matches.
 *
 *
 * @var object $data - Object with widget data.
 *
 * @author        Jalal Albaadani <albaadani.com>
 * @package       AlbaYallaShoot/Templates
 * @since         0.4.3
 *
 * @version       0.15.0
 */



if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$data = (object) wp_parse_args(
	$data,
	[
        'title' 			=> __('Matches Table','yalla'),
        'style' 			=> '',
        'type' 				=> '',
        'timezone_name' 	=> '1',
        'show_title' 		=> '1',
        'matches_day' 		=> 'today',
        'tabs_type' 		=> 'links',
        'yesterday_url' 	=> '',
        'today_url' 		=> '',
        'tomorrow_url'  	=> '',
        'yesterday'  		=> '1', 
        'today'  			=> '1', 
        'tomorrow'  		=> '1',
        'dark_style' 		=> '',
        'limit' 			=> '',
        'widget_pos'        =>'',
	]
);

$tabs_days = [
    [
        'slug'      => "yesterday",
        'name'      => __('Yesterday Matches','yalla'),
        'curnt'     => ($data->matches_day == 'yesterday'),
        'url'       => $data->yesterday_url,
    ],
    [
        'slug'      => "today",
        'name'      => __('Today Matches','yalla'),
        'curnt'     => ($data->matches_day == '' || $data->matches_day == 'today'),
        'url'       => $data->today_url,
    ],
    [
        'slug'      => "tomorrow",
        'name'      => __('Tomorrow Matches','yalla'),
        'curnt'     => ($data->matches_day == 'tomorrow'),
        'url'       => $data->tomorrow_url,
    ],
];


if( ! AlbaYalla_is_valid()){

    return ;
}
/**
 * Hook: albayalla/tmpl-match/before_table
 */
do_action( 'albayalla/tmpl-match/before_table');

$widget_pos         = in_array($data->widget_pos,['sidebar','primary-widget-area','post_side','sidebar_widget','archive_widget']) ? 'small' : '';
$item_layout        = ($data->type == 'small' || $widget_pos == 'small') ? 'small' : 'table';

$dark_style         = $data->dark_style == '1' ? ' albayalla_dark_style' : '';
$wrapp_class        = $data->style .' '.$data->type.$dark_style.' '.$widget_pos.' '.$data->widget_pos; 



?>
<?php if( yalla_is_defult_style() && $data->timezone_name) : ?>
    <div class="tmz-name"><span><?php echo sprintf( __( '%s Time', 'yalla' ), Alba_Yalla_Shoot()->helper->get_timzone_name() );?></span></div>
<?php endif;?>
<div class="AY_Block AY-Fixture <?php echo $wrapp_class;?>">
    <?php if( ! yalla_is_defult_style() && $data->timezone_name ) : ?>
        <div class="tmz-name"><span><?php echo sprintf( __( '%s Time', 'yalla' ), Alba_Yalla_Shoot()->helper->get_timzone_name() );?></span></div>
    <?php endif;?>
    <?php if( $data->show_title !='0'):?>
        <div class="AYb_Head fx-wrap">
            <h2 class="aya-btn"><strong><?php echo $data->title;?></strong></h2>
   
            <ul class="AY-Dtab d-fx gap-5">
            <?php 
            foreach($tabs_days as $tab):
                if($data->{$tab['slug']} == '0'){
                    continue ;
                }
                $target = ($data->tabs_type == 'links') ? 'href="'.$tab['url'].'" title="'.esc_attr($tab['name']).'"' : 'data-target="#albayalla-'.$tab['slug'].'"'; 
                $tag    = ($data->tabs_type == 'links') ? 'a' : 'button'; 
                echo '<li class="'.$tab['slug'].'"><'.$tag.' class="aya-btn '.($tab['curnt'] ? ' active' : ' ').'" '.$target.'><strong>'.$tab['name'].'</strong></'.$tag.'></li>';
            endforeach;
            ?>
            </ul>
        </div>
    <?php endif;?>
    <?php yalla_get_ads('before_table_content');?>
    <?php 
    /**
     * Hook: albayalla/tmpl-match/before_table_content
     */
    do_action( 'albayalla/tmpl-match/before_table_content');
    
    $count = 0;
    $match_count = (!empty($data->limit) && $data->limit != '0' ) ? $data->limit : '-1';

    foreach($tabs_days as $content): $count++;

        if($data->{$content['slug']} == '0' && !$content['curnt']){
            continue ;
        }
        $selected_day   = ($data->tabs_type == 'links') ? $data->matches_day : $content['slug'];
        $active         = $content['curnt'] || $data->tabs_type == 'links' ? ' active' : '';
        ?>
        <div id="ayala-<?php echo $selected_day;?>" class="albaflex<?php echo $active;?>">
            <?php
            // Get match data to render
            $matches    = Alba_Yalla_Shoot()->match->get_matches_by_day($selected_day,$match_count);
            if ( empty( $matches ) ) { 
                echo '<div class="AY_Match"><p class="no-data__msg">'.__('There are no matches Today' , 'yalla').'</p></div>';
            }else{
               
                foreach ($matches as $match) :
                    Alba_Yalla_Shoot()->load_partial($match,'loops/loop-match-'.$item_layout );
                endforeach;
            }
            ?>
        </div>
        <?php
        if($data->tabs_type == 'links' && $count == 1){
            break;
        }
    endforeach;
    /**
     * Hook: albayalla/tmpl-match/after_table_content
     */
    do_action( 'albayalla/tmpl-match/after_table_content');
    yalla_get_ads('after_table_content');
    ?>
</div>
<?php 
/**
 * Hook: albayalla/tmpl-match/after_table
 */
do_action( 'albayalla/tmpl-match/after_table');