<?php
/**
 * The Template for displaying posts.
 *
 *
 * @var object $data - Object with widget data.
 *
 * @author        Jalal Albaadani <albaadani.com>
 * @package       AlbaYallaShoot/Templates
 * @since         0.4.3
 *
 * @version       0.15.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$data = (object) wp_parse_args(
	$data,
	[
        'title' 			=> __('latest news','yalla'),
        'title_url' 		=> '',
        'posts_num' 		=> '8',
        'posts_num_mob' 	=> '8',
        'cats' 				=> [],
        'posts_orderby' 	=> 'date',
        'posts_time' 		=> '',
        'Hidon' 			=> '',
        'style' 			=> '1',
	]
);

if( ! AlbaYalla_is_valid()){

    return ;
}
if ( wp_is_mobile() ){
    if ( $data->Hidon == 'mobile'){
        return;
    }
    $data->posts_num = $data->posts_num_mob;
}else{
    if ( $data->Hidon == 'comp'){
        return;
    }
}
$posts_args = array(
    'post_type'         => 'post',
    'post_status'       => 'publish',
    'ignore_sticky_posts' => true,
    'cat'               => ! empty( $data->cats ) ? (array)$data->cats : ['all'],
    'posts_per_page'    => $data->posts_num,
    'orderby'	        => $data->posts_orderby ? $data->posts_orderby : 'date',
    'order'		        => 'DESC',
);
if( ! empty( $data->posts_time ) ){
    $posts_args['date_query'] = array(array('after' => $data->posts_time)) ;
}
?>
<div class="AY_Block PS_<?php echo $data->style;?>">
    <?php if( $data->title ):?>
        <div class="AYb_Head">
            <h2 class="aya-btn"><strong><?php echo $data->title;?></strong></h2>
            <?php if(!empty( $data->title_url ) ):?>
            <a href="<?php echo $data->title_url;?>" class="WTa aya-btn">›</a>
            <?php endif;?>
        </div>
    <?php endif;?>
    <div class="AYb_Inner">
        <div class="AYaGrid">
            <?php
            $widget_loop  = new WP_Query($posts_args);
            if($widget_loop->have_posts()):
                $count = 1;
                while ($widget_loop->have_posts()): $widget_loop->the_post();
                    Alba_Yalla_Shoot()->load_partial(
                        [
                            'style' => $data->style,
                            'count' => $count,
                        ],
                        'loops/loop-post'
                    );
                    $count++;
                endwhile;
                wp_reset_postdata();
            endif;
            ?>
        </div>
    </div>
</div>